External panels
Regenerate Study External Panel Token
Replace the public entry token, immediately invalidating the old link.
POST
/
api
/
public
/
v1
/
studies
/
{study_id}
/
external-panel
/
regenerate-token
Regenerate Study External Panel Token
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel/regenerate-token \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel/regenerate-token"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/studies/{study_id}/external-panel/regenerate-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"complete_redirect_url": "<string>",
"screenout_redirect_url": "<string>",
"id": "<string>",
"study_id": "<string>",
"entry_url": "<string>",
"provider": "custom",
"respondent_id_param": "respondent_id",
"respondent_id_placeholder": "{{RESPONDENT_ID}}",
"session_id_param": "<string>",
"session_id_placeholder": "<string>",
"external_study_id_param": "<string>",
"external_study_id_placeholder": "<string>",
"quota_full_redirect_url": "<string>",
"technical_redirect_url": "<string>"
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}{
"detail": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "not_started",
"recovery_action": "<string>",
"docs_url": "<string>"
}
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Headers
Path Parameters
Response
Successful Response
Available options:
prolific, cint, cloudresearch, terac, custom Was this page helpful?
⌘I
Regenerate Study External Panel Token

